RESTinio

Macros | Typedefs | Functions | Variables
zutil.h File Reference
`#include "zlib.h"`

Go to the source code of this file.

## Macros
#define | ZLIB_INTERNAL
#define | local static
#define | ERR_MSG(err) z_errmsg[Z_NEED_DICT-(err)]
#define | ERR_RETURN(strm, err) return (strm->msg = ERR_MSG(err), (err))
#define | DEF_WBITS MAX_WBITS
#define | DEF_MEM_LEVEL 8
#define | STORED_BLOCK 0
#define | STATIC_TREES 1
#define | DYN_TREES 2
#define | MIN_MATCH 3
#define | MAX_MATCH 258
#define | PRESET_DICT 0x20 /* preset dictionary flag in zlib header */
#define | OS_CODE 3 /* assume Unix */
#define | F_OPEN(name, mode) fopen((name), (mode))
#define | Assert(cond, msg)
#define | Trace(x)
#define | Tracev(x)
#define | Tracevv(x)
#define | Tracec(c, x)
#define | Tracecv(c, x)
#define | ZALLOC(strm, items, size) (*((strm)->zalloc))((strm)->opaque, (items), (size))
#define | ZFREE(strm, addr) (*((strm)->zfree))((strm)->opaque, (voidpf)(addr))
#define | TRY_FREE(s, p) {if (p) ZFREE(s, p);}
#define | ZSWAP32(q)

## Typedefs
typedef unsigned char | uch
typedef uch FAR | uchf
typedef unsigned short | ush
typedef ush FAR | ushf
typedef unsigned long | ulg

## Functions
ZEXTERN uLong ZEXPORT adler32_combine64 | OF ((uLong, uLong, z_off_t))
void ZLIB_INTERNAL zmemcpy | OF ((Bytef *dest, const Bytef *source, uInt len))
int ZLIB_INTERNAL zmemcmp | OF ((const Bytef *s1, const Bytef *s2, uInt len))
void ZLIB_INTERNAL zmemzero | OF ((Bytef *dest, uInt len))
voidpf ZLIB_INTERNAL zcalloc | OF ((voidpf opaque, unsigned items, unsigned size))
void ZLIB_INTERNAL zcfree | OF ((voidpf opaque, voidpf ptr))

## Variables
z_const char *const | z_errmsg [10]

## Macro Definition Documentation

## ◆ Assert

#define Assert | ( |  | cond,
|  |  | msg
| ) |  |

Definition at line 248 of file zutil.h.

## ◆ DEF_MEM_LEVEL

#define DEF_MEM_LEVEL 8

Definition at line 66 of file zutil.h.

## ◆ DEF_WBITS

#define DEF_WBITS MAX_WBITS

Definition at line 61 of file zutil.h.

## ◆ DYN_TREES

#define DYN_TREES 2

Definition at line 74 of file zutil.h.

## ◆ ERR_MSG

#define ERR_MSG | ( |  | err | ) | z_errmsg[Z_NEED_DICT-(err)]

Definition at line 52 of file zutil.h.

## ◆ ERR_RETURN

#define ERR_RETURN | ( |  | strm,
|  |  | err
| ) |  | return (strm->msg = ERR_MSG(err), (err))

Definition at line 54 of file zutil.h.

## ◆ F_OPEN

#define F_OPEN | ( |  | name,
|  |  | mode
| ) |  | fopen((name), (mode))

Definition at line 202 of file zutil.h.

## ◆ local

#define local static

Definition at line 37 of file zutil.h.

## ◆ MAX_MATCH

#define MAX_MATCH 258

Definition at line 78 of file zutil.h.

## ◆ MIN_MATCH

#define MIN_MATCH 3

Definition at line 77 of file zutil.h.

## ◆ OS_CODE

#define OS_CODE 3 /* assume Unix */

Definition at line 198 of file zutil.h.

## ◆ PRESET_DICT

#define PRESET_DICT 0x20 /* preset dictionary flag in zlib header */

Definition at line 81 of file zutil.h.

## ◆ STATIC_TREES

#define STATIC_TREES 1

Definition at line 73 of file zutil.h.

## ◆ STORED_BLOCK

#define STORED_BLOCK 0

Definition at line 72 of file zutil.h.

## ◆ Trace

#define Trace | ( |  | x | ) |

Definition at line 249 of file zutil.h.

## ◆ Tracec

#define Tracec | ( |  | c,
|  |  | x
| ) |  |

Definition at line 252 of file zutil.h.

## ◆ Tracecv

#define Tracecv | ( |  | c,
|  |  | x
| ) |  |

Definition at line 253 of file zutil.h.

## ◆ Tracev

#define Tracev | ( |  | x | ) |

Definition at line 250 of file zutil.h.

## ◆ Tracevv

#define Tracevv | ( |  | x | ) |

Definition at line 251 of file zutil.h.

## ◆ TRY_FREE

#define TRY_FREE | ( |  | s,
|  |  | p
| ) |  | {if (p) ZFREE(s, p);}

Definition at line 265 of file zutil.h.

## ◆ ZALLOC

#define ZALLOC | ( |  | strm,
|  |  | items,
|  |  | size
| ) |  | (*((strm)->zalloc))((strm)->opaque, (items), (size))

Definition at line 262 of file zutil.h.

## ◆ ZFREE

#define ZFREE | ( |  | strm,
|  |  | addr
| ) |  | (*((strm)->zfree))((strm)->opaque, (voidpf)(addr))

Definition at line 264 of file zutil.h.

## ◆ ZLIB_INTERNAL

#define ZLIB_INTERNAL

Definition at line 19 of file zutil.h.

## ◆ ZSWAP32

#define ZSWAP32 | ( |  | q | ) |

Value:
((((q) >> 24) & 0xff) + (((q) >> 8) & 0xff00) + \
(((q) & 0xff00) << 8) + (((q) & 0xff) << 24))

Definition at line 268 of file zutil.h.

## Typedef Documentation

## ◆ uch

typedef unsigned char uch

Definition at line 43 of file zutil.h.

## ◆ uchf

typedef uch FAR uchf

Definition at line 44 of file zutil.h.

## ◆ ulg

typedef unsigned long ulg

Definition at line 47 of file zutil.h.

## ◆ ush

typedef unsigned short ush

Definition at line 45 of file zutil.h.

## ◆ ushf

typedef ush FAR ushf

Definition at line 46 of file zutil.h.

## Function Documentation

## ◆ OF() [1/6]

void ZLIB_INTERNAL zmemcpy OF | ( | (Bytef *dest, const Bytef *source, uInt len) |  | ) |

## ◆ OF() [2/6]

void ZLIB_INTERNAL zmemzero OF | ( | (Bytef *dest, uInt len) |  | ) |

## ◆ OF() [3/6]

int ZLIB_INTERNAL zmemcmp OF | ( | (const Bytef *s1, const Bytef *s2, uInt len) |  | ) |

## ◆ OF() [4/6]

ZEXTERN uLong ZEXPORT adler32_combine64 OF | ( | (uLong, uLong, z_off_t) |  | ) |

## ◆ OF() [5/6]

voidpf ZLIB_INTERNAL zcalloc OF | ( | (voidpf opaque, unsigned items, unsigned size) |  | ) |

## ◆ OF() [6/6]

void ZLIB_INTERNAL zcfree OF | ( | (voidpf opaque, voidpf ptr) |  | ) |

## Variable Documentation

## ◆ z_errmsg

z_const char* const z_errmsg[10]
| extern

Definition at line 13 of file zutil.c.